summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Andre Fernando2020-10-30 01:41:29 +0100
committer Willy Sudiarto Raharjo2020-10-31 05:15:23 +0100
commita69bdd3e7a311776d85dcd665a514d36f4bb17ed (patch)
tree7fd2fdbc392a1fc10484b66eca719ad0970b9459 /office
parentf3588e2b51ee483f2a5c6dc2946638baaf58c9bc (diff)
downloadslackbuilds-a69bdd3e7a311776d85dcd665a514d36f4bb17ed.tar.gz
office/FreeOffice: Added (free alternative to Microsoft Office)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/FreeOffice/FreeOffice.SlackBuild99
-rw-r--r--office/FreeOffice/FreeOffice.info10
-rw-r--r--office/FreeOffice/README8
-rw-r--r--office/FreeOffice/doinst.sh13
-rw-r--r--office/FreeOffice/planmaker-free18.desktop21
-rw-r--r--office/FreeOffice/presentations-free18.desktop21
-rw-r--r--office/FreeOffice/slack-desc19
-rw-r--r--office/FreeOffice/textmaker-free18.desktop21
8 files changed, 212 insertions, 0 deletions
diff --git a/office/FreeOffice/FreeOffice.SlackBuild b/office/FreeOffice/FreeOffice.SlackBuild
new file mode 100644
index 0000000000..4bd56ee0e6
--- /dev/null
+++ b/office/FreeOffice/FreeOffice.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for FreeOffice
+
+# Copyright 2020 Andre Fernando, Indonesia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=FreeOffice
+SRCNAM=softmaker-${PRGNAM,,}
+VERSION=${VERSION:-2018_978}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86)
+ DEBARCH=i386
+ ARCH=i586
+ ;;
+ x86_64)
+ DEBARCH=amd64
+ ARCH=x86_64
+ ;;
+ # unsupported
+ *)
+ echo "ARCH $( uname -m ) is unsupported"
+ exit 1
+ ;;
+ esac
+else
+ case "$ARCH" in
+ i?86)
+ DEBARCH=i386
+ ;;
+ x86_64)
+ DEBARCH=amd64
+ ;;
+ # unsupported
+ *)
+ echo "$ARCH is unsupported"
+ exit 1
+ ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+mkdir -p $PRGNAM
+cd $PRGNAM
+ar -x $CWD/$SRCNAM-$VERSION-01_$DEBARCH.deb
+tar xvf data.tar.xz -C $PKG
+cd $PKG
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cp $CWD/*.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/FreeOffice/FreeOffice.info b/office/FreeOffice/FreeOffice.info
new file mode 100644
index 0000000000..291305998a
--- /dev/null
+++ b/office/FreeOffice/FreeOffice.info
@@ -0,0 +1,10 @@
+PRGNAM="FreeOffice"
+VERSION="2018_978"
+HOMEPAGE="https://www.freeoffice.com/"
+DOWNLOAD="https://www.softmaker.net/down/softmaker-freeoffice-2018_978-01_i386.deb"
+MD5SUM="32d74c5c109a53df7ad8312d43dfc866"
+DOWNLOAD_x86_64="https://www.softmaker.net/down/softmaker-freeoffice-2018_978-01_amd64.deb"
+MD5SUM_x86_64="2f42846d70bd4ebfaa6f1d0a73cd8689"
+REQUIRES=""
+MAINTAINER="Andre Fernando"
+EMAIL="ando344@gmail.com"
diff --git a/office/FreeOffice/README b/office/FreeOffice/README
new file mode 100644
index 0000000000..a0dee50d4a
--- /dev/null
+++ b/office/FreeOffice/README
@@ -0,0 +1,8 @@
+FreeOffice ( The best free alternative to Microsoft Office )
+
+FreeOffice is a complete Office suite with a word processor,
+a spreadsheet application and a presentation program – all compatible
+with their counterparts in Microsoft Office.
+
+for add additional languages visit official sites:
+https://www.freeoffice.com/en/download/dictionaries
diff --git a/office/FreeOffice/doinst.sh b/office/FreeOffice/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/office/FreeOffice/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/FreeOffice/planmaker-free18.desktop b/office/FreeOffice/planmaker-free18.desktop
new file mode 100644
index 0000000000..1a2cb71191
--- /dev/null
+++ b/office/FreeOffice/planmaker-free18.desktop
@@ -0,0 +1,21 @@
+[Desktop Entry]
+Categories=Application;Office;Spreadsheet;
+Comment=PlanMaker lets you create all kinds of spreadsheets -- from simple ones to the most complex ones. Includes a high-caliber charting module.
+Encoding=UTF-8
+Exec=/usr/bin/planmaker18free %F
+GenericName=Spreadsheet
+Icon=/usr/share/pixmaps/pml18free.png
+InitialPreference=10
+MimeType=application/x-pmd;application/x-pmdx;application/x-pmv;application/excel;application/x-excel;application/x-ms-excel;application/x-msexcel;application/x-sylk;application/x-xls;application/xls;application/vnd.ms-excel;application/vnd.stardivision.calc;application/vnd.openxmlformats-officedocument.spreadsheetml.sheet;application/vnd.openxmlformats-officedocument.spreadsheetml.template;application/vnd.ms-excel.sheet.macroenabled.12;application/vnd.openxmlformats-officedocument.spreadsheetml.template;application/vnd.ms-excel.template.macroEnabled.12;application/x-dif;text/spreadsheet;text/csv;application/x-prn;application/vnd.ms-excel.sheet.binary.macroenabled.12;
+Name=FreeOffice 2018 PlanMaker
+NoDisplay=false
+Path[$e]=/usr/share/freeoffice2018
+StartupNotify=true
+StartupWMClass=pm
+Terminal=0
+TerminalOptions=
+TryExec=/usr/bin/planmaker18free
+Type=Application
+Version=1.0
+X-KDE-SubstituteUID=false
+X-KDE-Username=
diff --git a/office/FreeOffice/presentations-free18.desktop b/office/FreeOffice/presentations-free18.desktop
new file mode 100644
index 0000000000..a9d8a7a5ac
--- /dev/null
+++ b/office/FreeOffice/presentations-free18.desktop
@@ -0,0 +1,21 @@
+[Desktop Entry]
+Categories=Application;Office;Presentation;
+Comment=The Presentations software lets you design any kind of presentation - even including special effects, animations, and transitions.
+Encoding=UTF-8
+Exec=/usr/bin/presentations18free %F
+GenericName=Presentation
+Icon=/usr/share/pixmaps/prl18free.png
+InitialPreference=10
+MimeType=application/x-prdx;application/x-prvx;application/x-prsx;application/x-prd;application/x-prv;application/x-prs;application/ppt;application/mspowerpoint;application/vnd.ms-powerpoint;application/vnd.openxmlformats-officedocument.presentationml.presentation;application/vnd.ms-powerpoint.presentation.macroenabled.12;application/vnd.openxmlformats-officedocument.presentationml.template;application/vnd.ms-powerpoint.template.macroEnabled.12;application/vnd.ms-powerpoint.slideshow.macroenabled.12;application/vnd.openxmlformats-officedocument.presentationml.slideshow;
+Name=FreeOffice 2018 Presentations
+NoDisplay=false
+Path[$e]=/usr/share/freeoffice2018
+StartupNotify=true
+StartupWMClass=pr
+Terminal=0
+TerminalOptions=
+TryExec=/usr/bin/presentations18free
+Type=Application
+Version=1.0
+X-KDE-SubstituteUID=false
+X-KDE-Username=
diff --git a/office/FreeOffice/slack-desc b/office/FreeOffice/slack-desc
new file mode 100644
index 0000000000..8b82587d03
--- /dev/null
+++ b/office/FreeOffice/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+FreeOffice: FreeOffice (The best free alternative to Microsoft Office)
+FreeOffice:
+FreeOffice: FreeOffice is a complete Office suite with a word processor,
+FreeOffice: a spreadsheet application and a presentation program – all compatible
+FreeOffice: with their counterparts in Microsoft Office.
+FreeOffice:
+FreeOffice:
+FreeOffice: Homepage: https://www.freeoffice.com/
+FreeOffice:
+FreeOffice:
+FreeOffice:
diff --git a/office/FreeOffice/textmaker-free18.desktop b/office/FreeOffice/textmaker-free18.desktop
new file mode 100644
index 0000000000..e24915cf3e
--- /dev/null
+++ b/office/FreeOffice/textmaker-free18.desktop
@@ -0,0 +1,21 @@
+[Desktop Entry]
+Categories=Application;Office;WordProcessor;
+Comment=The TextMaker word processor lets you work on any type of document.
+Encoding=UTF-8
+Exec=/usr/bin/textmaker18free %F
+GenericName=Word Processor
+Icon=/usr/share/pixmaps/tml18free.png
+InitialPreference=10
+MimeType=application/x-tmdx;application/x-tmvx;application/x-tmd;application/x-tmv;application/msword;application/vnd.ms-word;application/x-doc;text/rtf;application/rtf;application/vnd.oasis.opendocument.text;application/vnd.oasis.opendocument.text-template;application/vnd.stardivision.writer;application/vnd.sun.xml.writer;application/vnd.sun.xml.writer.template;application/vnd.openxmlformats-officedocument.wordprocessingml.document;application/vnd.ms-word.document.macroenabled.12;application/vnd.openxmlformats-officedocument.wordprocessingml.template;application/vnd.ms-word.template.macroenabled.12;application/x-pocket-word;application/x-dbf;application/msword-template;
+Name=FreeOffice 2018 TextMaker
+NoDisplay=false
+Path[$e]=/usr/share/freeoffice2018
+StartupNotify=true
+StartupWMClass=tm
+Terminal=0
+TerminalOptions=
+TryExec=/usr/bin/textmaker18free
+Type=Application
+Version=1.0
+X-KDE-SubstituteUID=false
+X-KDE-Username=